package resolvers

import (
	"context"

	"git.optclblast.xyz/draincloud/draincloud-core/internal/common"
)

type Resolver interface {
	Resolve(ctx context.Context, req *common.Request, reqReq any) error
	GetRequiredResolveParams() []string
}
